cubenl/silverstripe-validation

Validation module for SilverStripe 4

Installs: 5 719

Dependents: 0

Suggesters: 0

Security: 0

Stars: 2

Watchers: 3

Forks: 0

Type:silverstripe-vendormodule

2.0.0 2023-05-16 11:42 UTC

This package is auto-updated.

Last update: 2024-02-16 13:12:40 UTC


README

Build Status Scrutinizer Code Quality Build Status codecov.io

GitHub Code Size GitHub Last Commit GitHub Issues

SilverStripe module for out of the box validating DataObjects and more!
Inspired by the Illuminate\Validation Laravel way of defining validation rules.

Requirements

  • SilverStripe Framework 4.0+

Quick Start

Installation

composer require cubenl/silverstripe-validation

Documentation

Versioning

This library follows Semver. According to Semver, you will be able to upgrade to any minor or patch version of this library without any breaking changes to the public API. Semver also requires that we clearly define the public API for this library.

All methods, with public visibility, are part of the public API. All other methods are not part of the public API. Where possible, we'll try to keep protected methods backwards-compatible in minor/patch versions, but if you're overriding methods then please test your work before upgrading.

Reporting Issues

Please create an issue for any bugs you've found, or features you're missing.

Contributing

Please see contributing for some guidelines to contribute.